package com.bpcl.lpg.core.payment.billdesk.dao;

import de.hybris.platform.servicelayer.media.NoDataAvailableException;
import com.bpcl.lpg.core.enums.RefillBookingStatusEnum;
import com.bpcl.lpg.core.enums.LpgPaymentStatusEnum;
import java.util.Date;
import java.util.List;
import com.bpcl.core.custom.exception.BpclInvalidPaymentResponseException;
import com.bpcl.lpg.core.model.LpgPaymentInfoModel;

public interface LPGPaymentInfoDao
{
    LpgPaymentInfoModel getPaymentInfoByTransactionId(final String p0) throws BpclInvalidPaymentResponseException;
    
    List<LpgPaymentInfoModel> getTransactionHistory(final String p0, final int p1);
    
    List<LpgPaymentInfoModel> getRefillInProgressPaymentInfo();
    
    List<LpgPaymentInfoModel> getTxnByRefillBookingStatus(final String p0);
    
    List<LpgPaymentInfoModel> getCurrentTxnDataFromTimeStamp(final Date p0, final Date p1, final LpgPaymentStatusEnum p2);
    
    List<LpgPaymentInfoModel> getOnlineTransactions(final Date p0, final Date p1, final LpgPaymentStatusEnum p2, final RefillBookingStatusEnum p3);
    
    List<LpgPaymentInfoModel> getTransactionsByStatusForDateRange(final Date p0, final Date p1, final LpgPaymentStatusEnum p2) throws NoDataAvailableException;
    
    List<LpgPaymentInfoModel> getTransactionsByStatusForDateRange(final Date p0, final Date p1, final List<String> p2) throws NoDataAvailableException;
    
    List<LpgPaymentInfoModel> getJunkTransaction(final Date p0, final Date p1) throws NoDataAvailableException;
    
    List<LpgPaymentInfoModel> hasRefillInProgress(final String p0, final int p1);
}
